Bug 862875 - freeze of the graphics
freeze of the graphics
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nouveau (Show other bugs)
17
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Ben Skeggs
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-03 15:51 EDT by Emmanuel Touzery
Modified: 2013-07-31 17:55 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 17:55:25 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Emmanuel Touzery 2012-10-03 15:51:54 EDT
Description of problem:
freeze of the GUI, i think the computer was still running otherwise, but I had to reset it.

Version-Release number of selected component (if applicable):
Linux version 3.5.3-1.fc17.x86_64

How reproducible:
reproduced it only once so far, but i'm not using fedora for long... it may help, when I got that problem, I just closed a video (I'm running the default gnome3 on f17, this was the builtin gnome video player).

Some information...

[    0.827021] [drm] nouveau 0000:01:00.0: Detected an NV50 generation card (0x450300a2)

[..]

Oct  3 21:20:21 papillon kernel: [    0.830549] [drm] nouveau 0000:01:00.0: Checking PRAMIN for VBIOS
Oct  3 21:20:21 papillon kernel: [    0.880173] [drm] nouveau 0000:01:00.0: ... appears to be valid
Oct  3 21:20:21 papillon kernel: [    0.880175] [drm] nouveau 0000:01:00.0: Using VBIOS from PRAMIN
Oct  3 21:20:21 papillon kernel: [    0.880176] [drm] nouveau 0000:01:00.0: BIT BIOS found
Oct  3 21:20:21 papillon kernel: [    0.880178] [drm] nouveau 0000:01:00.0: Bios version 60.80.18.00
Oct  3 21:20:21 papillon kernel: [    0.880180] [drm] nouveau 0000:01:00.0: TMDS table version 2.0
Oct  3 21:20:21 papillon kernel: [    0.880255] [drm] nouveau 0000:01:00.0: MXM: no VBIOS data, nothing to do
Oct  3 21:20:21 papillon kernel: [    0.880257] [drm] nouveau 0000:01:00.0: DCB version 4.0
Oct  3 21:20:21 papillon kernel: [    0.880259] [drm] nouveau 0000:01:00.0: DCB outp 00: 04000320 00000028
Oct  3 21:20:21 papillon kernel: [    0.880260] [drm] nouveau 0000:01:00.0: DCB outp 01: 01000322 00000030
Oct  3 21:20:21 papillon kernel: [    0.880261] [drm] nouveau 0000:01:00.0: DCB outp 02: 02011310 00000028
Oct  3 21:20:21 papillon kernel: [    0.880262] [drm] nouveau 0000:01:00.0: DCB outp 03: 02011312 00000030
Oct  3 21:20:21 papillon kernel: [    0.880264] [drm] nouveau 0000:01:00.0: DCB outp 04: 010223f1 00c1c023
Oct  3 21:20:21 papillon kernel: [    0.880270] [drm] nouveau 0000:01:00.0: DCB conn 00: 1030
Oct  3 21:20:21 papillon kernel: [    0.880271] [drm] nouveau 0000:01:00.0: DCB conn 01: 2130
Oct  3 21:20:21 papillon kernel: [    0.880273] [drm] nouveau 0000:01:00.0: DCB conn 02: 0210
Oct  3 21:20:21 papillon kernel: [    0.880274] [drm] nouveau 0000:01:00.0: DCB conn 03: 0211
Oct  3 21:20:21 papillon kernel: [    0.880275] [drm] nouveau 0000:01:00.0: DCB conn 04: 0213
Oct  3 21:20:21 papillon kernel: [    0.880279] [drm] nouveau 0000:01:00.0: Parsing VBIOS init table 0 at offset 0xBFB4
Oct  3 21:20:21 papillon kernel: [    0.902445] [drm] nouveau 0000:01:00.0: Parsing VBIOS init table 1 at offset 0xC1BF
Oct  3 21:20:21 papillon kernel: [    0.919277] [drm] nouveau 0000:01:00.0: Parsing VBIOS init table 2 at offset 0xD37B
Oct  3 21:20:21 papillon kernel: [    0.919283] [drm] nouveau 0000:01:00.0: Parsing VBIOS init table 3 at offset 0xD46A
Oct  3 21:20:21 papillon kernel: [    0.920347] [drm] nouveau 0000:01:00.0: Parsing VBIOS init table 4 at offset 0xD621
Oct  3 21:20:21 papillon kernel: [    0.920348] [drm] nouveau 0000:01:00.0: Parsing VBIOS init table at offset 0xD686
Oct  3 21:20:21 papillon kernel: [    0.940351] [drm] nouveau 0000:01:00.0: 0xD686: Condition still not met after 20ms, skipping following opcodes
Oct  3 21:20:21 papillon kernel: [    0.941748] [TTM] Zone  kernel: Available graphics memory: 2024832 kiB
Oct  3 21:20:21 papillon kernel: [    0.941749] [TTM] Initializing pool allocator
Oct  3 21:20:21 papillon kernel: [    0.941753] [TTM] Initializing DMA pool allocator
Oct  3 21:20:21 papillon kernel: [    0.941763] [drm] nouveau 0000:01:00.0: Detected 320MiB VRAM (GDDR3)
Oct  3 21:20:21 papillon kernel: [    0.946583] [drm] nouveau 0000:01:00.0: 512 MiB GART (aperture)
Oct  3 21:20:21 papillon kernel: [    0.947037] usb 1-7: >new high-speed USB device number 3 using ehci_hcd
Oct  3 21:20:21 papillon kernel: [    0.955267] [drm] nouveau 0000:01:00.0: DCB encoder 1 unknown
Oct  3 21:20:21 papillon kernel: [    0.955269] [drm] nouveau 0000:01:00.0: TV-1 has no encoders, removing
Oct  3 21:20:21 papillon kernel: [    0.955748] [drm] Supports vblank timestamp caching Rev 1 (10.10.2010).
Oct  3 21:20:21 papillon kernel: [    0.955750] [drm] No driver support for vblank timestamp query.
Oct  3 21:20:21 papillon kernel: [    0.962576] [drm] nouveau 0000:01:00.0: 1 available performance level(s)
Oct  3 21:20:21 papillon kernel: [    0.962580] [drm] nouveau 0000:01:00.0: 0: core 513MHz shader 1188MHz memory 792MHz voltage 1300mV fanspeed 100%
Oct  3 21:20:21 papillon kernel: [    0.962582] [drm] nouveau 0000:01:00.0: c: core 198MHz shader 1188MHz memory 396MHz
Oct  3 21:20:21 papillon kernel: [    0.972959] [drm] nouveau 0000:01:00.0: MM: using M2MF for buffer copies
Oct  3 21:20:21 papillon kernel: [    1.069686] [drm] nouveau 0000:01:00.0: allocated 1920x1080 fb: 0x310000, bo ffff8801253adc00

lspci says:
01:00.0 VGA compatible controller: nVidia Corporation G80 [GeForce 8800 GTS] (rev a2)

And information about the freeze...

ct  3 21:17:58 papillon abrt[22177]: File '/usr/bin/Xorg' seems to be deleted
Oct  3 21:18:00 papillon abrt[22177]: Saved core dump of pid 680 (/usr/bin/Xorg) to /var/spool/abrt/ccpp-2012-10-03-21:17:59-680 (61440 bytes)
Oct  3 21:18:00 papillon abrtd: Directory 'ccpp-2012-10-03-21:17:59-680' creation detected
Oct  3 21:18:00 papillon abrtd: Lock file '/var/spool/abrt/ccpp-2012-09-14-18:36:51-697/.lock' is locked by process 22177
Oct  3 21:18:02 papillon kernel: [ 3791.129012] [drm] nouveau 0000:01:00.0: Failed to idle channel 2.
Oct  3 21:18:02 papillon kernel: [ 3791.129125] [drm] nouveau 0000:01:00.0: PGRAPH_TRAP_TPDMA_RT - TP 2 - Unknown fault at address 0044560000
Oct  3 21:18:02 papillon kernel: [ 3791.129130] [drm] nouveau 0000:01:00.0: PGRAPH_TRAP_TPDMA_RT - TP 2 - e0c: 00000000, e18: 00000000, e1c: 00000000, e20: 00002a00, e24: 00030000
Oct  3 21:18:02 papillon kernel: [ 3791.129136] [drm] nouveau 0000:01:00.0: PGRAPH_TRAP_TPDMA_RT - TP 3 - Unknown fault at address 0044561200
Oct  3 21:18:02 papillon kernel: [ 3791.129138] [drm] nouveau 0000:01:00.0: PGRAPH_TRAP_TPDMA_RT - TP 3 - e0c: 00000000, e18: 00000000, e1c: 00080010, e20: 00002a00, e24: 00030000
Oct  3 21:18:02 papillon kernel: [ 3791.129145] [drm] nouveau 0000:01:00.0: PGRAPH_TRAP_TPDMA_RT - TP 4 - Unknown fault at address 0044562000
Oct  3 21:18:02 papillon kernel: [ 3791.129146] [drm] nouveau 0000:01:00.0: PGRAPH_TRAP_TPDMA_RT - TP 4 - e0c: 00000000, e18: 00000000, e1c: 00000020, e20: 00002a00, e24: 00030000
Oct  3 21:18:02 papillon kernel: [ 3791.129153] [drm] nouveau 0000:01:00.0: PGRAPH_TRAP_TPDMA_RT - TP 5 - Unknown fault at address 0044561400
Oct  3 21:18:02 papillon kernel: [ 3791.129154] [drm] nouveau 0000:01:00.0: PGRAPH_TRAP_TPDMA_RT - TP 5 - e0c: 00000000, e18: 00000000, e1c: 0010001c, e20: 00002a00, e24: 00030000
Oct  3 21:18:02 papillon kernel: [ 3791.129161] [drm] nouveau 0000:01:00.0: PGRAPH_TRAP_TPDMA_RT - TP 6 - Unknown fault at address 0044562400
Oct  3 21:18:02 papillon kernel: [ 3791.129162] [drm] nouveau 0000:01:00.0: PGRAPH_TRAP_TPDMA_RT - TP 6 - e0c: 00000000, e18: 00000000, e1c: 00100020, e20: 00002a00, e24: 00030000
Oct  3 21:18:02 papillon kernel: [ 3791.129169] [drm] nouveau 0000:01:00.0: PGRAPH_TRAP_TPDMA_RT - TP 7 - Unknown fault at address 0044563600
Oct  3 21:18:02 papillon kernel: [ 3791.129171] [drm] nouveau 0000:01:00.0: PGRAPH_TRAP_TPDMA_RT - TP 7 - e0c: 00000000, e18: 00000000, e1c: 00180030, e20: 00002a00, e24: 00030000
Oct  3 21:18:02 papillon kernel: [ 3791.129172] [drm] nouveau 0000:01:00.0: PGRAPH - TRAP
Oct  3 21:18:02 papillon kernel: [ 3791.129176] [drm] nouveau 0000:01:00.0: PGRAPH - ch 4 (0x0000b10000) subc 5 class 0x5097 mthd 0x0f04 data 0x00000000
Oct  3 21:18:02 papillon kernel: [ 3791.129183] [drm] nouveau 0000:01:00.0: VM: trapped write at 0x0044561200 on ch 4 [0x00000b10] PGRAPH/PROP/RT0 reason: PAGE_NOT_PRESENT
Oct  3 21:18:02 papillon systemd-logind[558]: Removed session 1.

a bit lower...


Oct  3 21:18:04 papillon abrtd: Generating backtrace
Oct  3 21:18:05 papillon abrtd: New problem directory /var/spool/abrt/ccpp-2012-10-03-21:17:59-680, processing
Oct  3 21:18:07 papillon systemd-logind[558]: New session 3 of user gdm.
Oct  3 21:18:07 papillon systemd-logind[558]: Linked /tmp/.X11-unix/X0 to /run/user/gdm/X11-display.
Oct  3 21:18:08 papillon gnome-session[715]: Gdk-WARNING: gnome-session: Fatal IO error 11 (Resource temporarily unavailable) on X server :0.

a bit lower still...

Oct  3 21:18:11 papillon kernel: [ 3800.997008] [drm] nouveau 0000:01:00.0: Failed to idle channel 4.

and then:

Oct  3 21:18:51 papillon kernel: [ 3840.893797] [drm] nouveau 0000:01:00.0: GPU lockup - switching to software fbcon

But the GUI didn't recover, a tad later I hard-rebooted the system.

Note that I now upgraded my kernel to a bit newer version provided by the fedora repositories...
Comment 1 GuiXin 2013-04-08 10:56:58 EDT
When i watch video by using totem sometimes will freeze, but audio still work.
i can't close the window. 
the cursor can move, but when i click button
there's no response.

sometime occurs on gnome-terminal too.
Comment 2 Fedora End Of Life 2013-07-03 17:07:00 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2013-07-31 17:55:31 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.